Skip to main content
GET
/
v0
/
resources
/
{resource_type}
/
{resource_id}
/
access
/
user
/
{user_id}
curl --request GET \
  --url 'https://api.unify.ai/v0/resources/<resource_type>/<resource_id>/access/user/<user_id>' \
  --header "Authorization: Bearer $UNIFY_KEY"
{
    "user_id": "string",
    "resource_type": "string",
    "resource_id": "integer",
    "access_entries": "[Any]",
    "effective_role": "string | null"
}
Get a specific user’s access entries for a resource. Returns all access entries (direct user grants + team-based grants) and the effective role (highest permission level). :param request_fastapi: FastAPI request object. :param resource_type: Type of resource (“project”). :param resource_id: Resource ID. :param user_id: User ID to check access for. :param session: Database session. :return: User’s access entries and effective role.

Authorizations

Authorization
string
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

resource_type
string
required
resource_id
integer
required
user_id
string
required
curl --request GET \
  --url 'https://api.unify.ai/v0/resources/<resource_type>/<resource_id>/access/user/<user_id>' \
  --header "Authorization: Bearer $UNIFY_KEY"
{
    "user_id": "string",
    "resource_type": "string",
    "resource_id": "integer",
    "access_entries": "[Any]",
    "effective_role": "string | null"
}